Page MenuHomePhabricator

Add purge info for Kartographer schema
Closed, ResolvedPublic3 Story Points

Description

I recently added a SchemaDoc to Schema:Kartographer: https://meta.wikimedia.org/wiki/Schema_talk:Kartographer to comply with the policy.

@Nuria reminded me to make a ticket to have the auto-purge info added to Puppet.

Event Timeline

mpopov created this task.Jul 25 2017, 5:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2017, 5:13 PM
fdans assigned this task to mforns.Jul 27 2017, 3:39 PM
fdans edited projects, added Analytics-Kanban; removed Analytics.
fdans set the point value for this task to 3.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 31 2017, 2:08 PM

Hi @mpopov !

I have looked at the schema and I have one question:
Is the userToken field a persistent token? Or does it expire after the session finishes?

Based on WikimediaEvents/kartographer.js#L13:

A user session id is defined in a cookie that lasts 10 minutes.

Thanks @mpopov, then I think all the fields in the schema can be white-listed and kept indefinitely (except from EventCapsule's userAgent).
Will write a puppet patch and and add you as a reviewer. Thanks for creating privacy-aware schemas!

Oh, wait...
@mpopov, the talk page of this schema says "auto-purge after 90 days".
I was assuming you wanted to keep the data for longer.
Otherwise, there's no action needed, because the default behavior for new schemas is "auto-purge after 90 days".
Please, let me know which is the case.
Thanks!

I think all the fields in the schema can be white-listed and kept indefinitely (except from EventCapsule's userAgent).
I was assuming you wanted to keep the data for longer.
Otherwise, there's no action needed, because the default behavior for new schemas is "auto-purge after 90 days".

Oh. Neat! Yes, I would very much like to keep the data indefinitely for future analyses :)

Change 369350 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Add Kartographer schema to EventLogging white-list

https://gerrit.wikimedia.org/r/369350

mforns added a comment.Aug 1 2017, 1:10 PM

I created a Gerrit change to add Kartographer to EL white-list.
Please review and +1 if it looks good, we'll then merge it.
Thanks!

Only merging is missing.

Change 369350 merged by Elukey:
[operations/puppet@production] Add Kartographer schema to EventLogging white-list

https://gerrit.wikimedia.org/r/369350

elukey moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 1 2017, 3:57 PM
Nuria closed this task as Resolved.Sep 12 2017, 9:17 PM